package db

import (
	"context"

	"git.kapelle.org/niklas/s3share/internal/types"
)

type DB interface {
	GetShare(ctx context.Context, slug string) (*types.Share, error)
	CreateShare(ctx context.Context, share *types.Share) error
	DeleteShare(ctx context.Context, slug string) error
	Close() error
}
